All of lore.kernel.org
 help / color / mirror / Atom feed
* main - tests: ignore failure of zeroing
@ 2021-03-23 11:07 Zdenek Kabelac
  0 siblings, 0 replies; only message in thread
From: Zdenek Kabelac @ 2021-03-23 11:07 UTC (permalink / raw)
  To: lvm-devel

Gitweb:        https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=712f7dfb4cdb729609de230e41255c5af0526860
Commit:        712f7dfb4cdb729609de230e41255c5af0526860
Parent:        26d76d31c5251a35bc4be1c60a1066d13b1f5f1d
Author:        Zdenek Kabelac <zkabelac@redhat.com>
AuthorDate:    Tue Mar 23 12:05:55 2021 +0100
Committer:     Zdenek Kabelac <zkabelac@redhat.com>
CommitterDate: Tue Mar 23 12:05:55 2021 +0100

tests: ignore failure of zeroing

Older mdadm fails the command, when the signature is already gone.
---
 test/lib/aux.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index 617d0b3a4..20736260f 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -796,7 +796,7 @@ cleanup_md_dev() {
 	test "$DM_DEV_DIR" = "/dev" || rm -f "$(< MD_DEV_PV)"
 
 	for dev in $(< MD_DEVICES); do
-		mdadm --zero-superblock "$dev" 2>/dev/null
+		mdadm --zero-superblock "$dev" 2>/dev/null || true
 	done
 	udev_wait
 	rm -f MD_DEV MD_DEVICES MD_DEV_PV



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-03-23 11:07 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-23 11:07 main - tests: ignore failure of zeroing Zdenek Kabelac

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.